petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscDrawSetOptionsPrefix

Sets the prefix used for searching for all PetscDraw options in the database.

### Synopsis

    #include "petscdraw.h"
    #include "petscviewer.h"
    PetscErrorCode  PetscDrawSetOptionsPrefix(PetscDraw draw,const char prefix[])

Logically Collective on PetscDraw

### Input Parameter

| draw | - the draw context
| prefix | - the prefix to prepend to all option names

### Keywords

PetscDraw, set, options, prefix, database

### See Also

PetscDrawSetFromOptions()

Level:advanced
Location:src/sys/classes/draw/interface/drawreg.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages